websocket-sharp : WebSocketSharp.Server Namespace

# SessionManager Class

Documentation for this section has not yet been entered.

## Syntax

public class SessionManager

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Constructors

| SessionManager () | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | ActiveID | IEnumerable<string> . Documentation for this section has not yet been entered.
[read-only] | Count | int . Documentation for this section has not yet been entered.
[read-only] | ID | IEnumerable<string> . Documentation for this section has not yet been entered.
[read-only] | InactiveID | IEnumerable<string> . Documentation for this section has not yet been entered.
| Sweeped | bool . Documentation for this section has not yet been entered.
[read-only] | SyncRoot | object . Documentation for this section has not yet been entered.

## Public Methods

| Add (WebSocketService) : string Documentation for this section has not yet been entered.
| Broadcast (byte[]) Documentation for this section has not yet been entered.
| Broadcast (string) Documentation for this section has not yet been entered.
| Broadping (string) : Dictionary<string, bool> Documentation for this section has not yet been entered.
| Remove (string) : bool Documentation for this section has not yet been entered.
| Stop () Documentation for this section has not yet been entered.
| Stop (WebSocketSharp.CloseStatusCode, string) Documentation for this section has not yet been entered.
| Sweep () Documentation for this section has not yet been entered.
| TryGetByID (string, out WebSocketService) : bool Documentation for this section has not yet been entered.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### SessionManager Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public SessionManager ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ActiveID Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<string> ActiveID { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Add (WebSocketService service)

> #### Parameters

> > service
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Broadcast Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Broadcast (byte[] data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Broadcast Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Broadcast (string data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Broadping Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Dictionary<string, bool> Broadping (string message)

> #### Parameters

> > message
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Count Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Count { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ID Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<string> ID { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### InactiveID Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<string> InactiveID { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Remove Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Remove (string id)

> #### Parameters

> > id
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop (WebSocketSharp.CloseStatusCode code, string reason)

> #### Parameters

> > code
> >   Documentation for this section has not yet been entered.
> > reason
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Sweep Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Sweep ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Sweeped Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Sweeped { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SyncRoot Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public object SyncRoot { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### TryGetByID Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool TryGetByID (string id, out WebSocketService service)

> #### Parameters

> > id
> >   Documentation for this section has not yet been entered.
> > service
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)